org.apache.uima.collection.metadata

## Interface CasProcessorDeploymentParam

- All Superinterfaces:
    Cloneable, MetaDataObject, Serializable, XMLizable

      public interface CasProcessorDeploymentParam
      extends MetaDataObject

  An object that holds configuration information used for building CPE Descriptor. It provides the means of configuring deployment parameter used by the CPE to deploy CasProcessor.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getParameterName()` Returns the name of the parameter
    `String` | `getParameterType()` Returns deployment parameter value type
    `String` | `getParameterValue()` Returns deployment parameter value
    `void` | `setParameterName(String aParamName)` Sets the name of the parameter
    `void` | `setParameterType(String aParamType)` Sets deployment parameter value type
    `void` | `setParameterValue(String aParamValue)` Sets the value of the deployment parameter

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Method Detail

    - #### setParameterName

          void setParameterName(String aParamName)
                         throws CpeDescriptorException

      Sets the name of the parameter
      Parameters:
        `aParamName` - - a name
      Throws:
        `CpeDescriptorException` - tbd

    - #### getParameterName

          String getParameterName()
                           throws CpeDescriptorException

      Returns the name of the parameter
      Returns:
        - name as String
      Throws:
        `CpeDescriptorException` - tbd

    - #### setParameterValue

          void setParameterValue(String aParamValue)
                          throws CpeDescriptorException

      Sets the value of the deployment parameter
      Parameters:
        `aParamValue` - - parameter value
      Throws:
        `CpeDescriptorException` - tbd

    - #### getParameterValue

          String getParameterValue()
                            throws CpeDescriptorException

      Returns deployment parameter value
      Returns:
        - value as String
      Throws:
        `CpeDescriptorException` - tbd

    - #### setParameterType

          void setParameterType(String aParamType)
                         throws CpeDescriptorException

      Sets deployment parameter value type
      Parameters:
        `aParamType` - - value type (string, int, etc)
      Throws:
        `CpeDescriptorException` - tbd

    - #### getParameterType

          String getParameterType()
                           throws CpeDescriptorException

      Returns deployment parameter value type
      Returns:
        - value type (string, int, etc)
      Throws:
        `CpeDescriptorException` - tbd

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.